Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface AuditableEventType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  AuditableEventTypeImpl

    public interface AuditableEventType

extends RegistryObjectType

A representation of the model object 'Auditable Event Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Event Type`
- `Registry Object`
- `Timestamp`
- `User`

See Also:
  `RimPackage.getAuditableEventType()`

Method Summary
`EventTypeType` | `getEventType()` Returns the value of the 'Event Type' attribute.
`java.lang.String` | `getRegistryObject()` Returns the value of the 'Registry Object' attribute.
`java.lang.Object` | `getTimestamp()` Returns the value of the 'Timestamp' attribute.
`java.lang.String` | `getUser()` Returns the value of the 'User' attribute.
`boolean` | `isSetEventType()` Returns whether the value of the '`Event Type`' attribute is set.
`void` | `setEventType(EventTypeType value)` Sets the value of the '`Event Type`' attribute.
`void` | `setRegistryObject(java.lang.String value)` Sets the value of the '`Registry Object`' attribute.
`void` | `setTimestamp(java.lang.Object value)` Sets the value of the '`Timestamp`' attribute.
`void` | `setUser(java.lang.String value)` Sets the value of the '`User`' attribute.
`void` | `unsetEventType()` Unsets the value of the '`Event Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEventType

    EventTypeType getEventType()

  Returns the value of the 'Event Type' attribute. The default value is `"Created"`. The literals are from the enumeration `EventTypeType`.

  If the meaning of the 'Event Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `EventTypeType`, `isSetEventType()`, `unsetEventType()`, `setEventType(EventTypeType)`, `RimPackage.getAuditableEventType_EventType()`

### setEventType

    void setEventType(EventTypeType value)

  Sets the value of the '`Event Type`' attribute.

  Parameters:
    `value` - the new value of the 'Event Type' attribute.
  See Also:
    `EventTypeType`, `isSetEventType()`, `unsetEventType()`, `getEventType()`

### unsetEventType

    void unsetEventType()

  Unsets the value of the '`Event Type`' attribute.

  See Also:
    `isSetEventType()`, `getEventType()`, `setEventType(EventTypeType)`

### isSetEventType

    boolean isSetEventType()

  Returns whether the value of the '`Event Type`' attribute is set.

  Returns:
    whether the value of the 'Event Type' attribute is set.
  See Also:
    `unsetEventType()`, `getEventType()`, `setEventType(EventTypeType)`

### getRegistryObject

    java.lang.String getRegistryObject()

  Returns the value of the 'Registry Object' attribute.

  If the meaning of the 'Registry Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object' attribute.
  See Also:
    `setRegistryObject(String)`, `RimPackage.getAuditableEventType_RegistryObject()`

### setRegistryObject

    void setRegistryObject(java.lang.String value)

  Sets the value of the '`Registry Object`' attribute.

  Parameters:
    `value` - the new value of the 'Registry Object' attribute.
  See Also:
    `getRegistryObject()`

### getTimestamp

    java.lang.Object getTimestamp()

  Returns the value of the 'Timestamp' attribute.

  If the meaning of the 'Timestamp' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Timestamp' attribute.
  See Also:
    `setTimestamp(Object)`, `RimPackage.getAuditableEventType_Timestamp()`

### setTimestamp

    void setTimestamp(java.lang.Object value)

  Sets the value of the '`Timestamp`' attribute.

  Parameters:
    `value` - the new value of the 'Timestamp' attribute.
  See Also:
    `getTimestamp()`

### getUser

    java.lang.String getUser()

  Returns the value of the 'User' attribute.

  If the meaning of the 'User' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User' attribute.
  See Also:
    `setUser(String)`, `RimPackage.getAuditableEventType_User()`

### setUser

    void setUser(java.lang.String value)

  Sets the value of the '`User`' attribute.

  Parameters:
    `value` - the new value of the 'User' attribute.
  See Also:
    `getUser()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD